Subject: Re: bug#24119: 25.1; suspend-frame "freezes" Emacs under i3-wm

From: Eli Zaretskii <[email-masked]>
Date: Sun, 31 Jul 2016 17:35:28 +0300

> From: Benjamin Riefenstahl <[email-masked]>
> Date: Sun, 31 Jul 2016 16:03:33 +0200
> 
> When I incidentially press C-z under i3-wm, Emacs stops.  The window
> stays up (there is no "iconify" under i3-wm), but the cursor does not
> blink any more and keystrokes do not have an effect.  The menus still
> seem to work and once I have dropped down a menu, I can again edit text.
> Still the cursor does not blink and it is hollow.  Usually all goes back
> to normal when I switch buffers or when I go to another program and than
> back to Emacs.
> 
> The output of gdb's "bt full" in this state is below, the output of
> "xbacktrace" is empty.

Thanks.  Can you please recreate the problem in an unoptimized build,
and post a backtrace from that?  Backtraces from optimized builds are
frequently misleading and/or missing vital information.